#StackBounty: #angular #firebase when I run ng add @angular/fire it shows a server error

Bounty: 50

This is happening when I execute the ng add @angular/fire command.
what does this mean?
How can I fix this?
here is the exact error:

Server Error. certificate has expired

angular version:

@angular-devkit/architect         0.803.22
@angular-devkit/build-angular     0.803.22
@angular-devkit/build-optimizer   0.803.22
@angular-devkit/build-webpack     0.803.22
@angular-devkit/core              8.3.22
@angular-devkit/schematics        8.3.22
@angular/cli                      8.3.22
@angular/fire                     5.3.0
@ngtools/webpack                  8.3.22
@schematics/angular               8.3.22
@schematics/update                0.803.22
rxjs                              6.4.0
typescript                        3.5.3
webpack                           4.39.2

EDIT

I looked up similar issues not limited to angular, I changed the system time to before this issue started happening and it now works, how can I fix this but still have the correct time on my system?

I erased my hard drive and installed a fresh operating system; still not working

this issue might be related since it started happening at the same time :
Why is angular fire saying I'm not logged in even though firebase tools says I am?

I looked up similar issues not limited to angular, I changed the system time to before this issue started happening and it now works, how can I fix this but still have the correct time on my system?


Get this bounty!!!

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.